/**
 * 
 */
package de.dhbwstuttgart.bytecode.genericsGeneratorTypes;

import java.util.List;

/**
 * @author fayez
 *
 */
public class MethodAndConstraints {
	private final String methodID;
	private final List<GenericsGeneratorResult> constraints;
	/**
	 * @param methodID
	 * @param constraints
	 */
	public MethodAndConstraints(String methodID, List<GenericsGeneratorResult> constraints) {
		this.methodID = methodID;
		this.constraints = constraints;
	}
	/**
	 * @return the methodID
	 */
	public String getMethodID() {
		return methodID;
	}
	/**
	 * @return the constraints
	 */
	public List<GenericsGeneratorResult> getConstraints() {
		return constraints;
	}
	
}
